'use client'
import ChatConfigContext, { LeftSidebarType } from "@/feature/messenger/context/ChatConfigContext";
import CloseSection from "@/feature/messenger/components/ui/buttons/CloseSection";
import ItemsContacts from "@/feature/messenger/components/layout/left-section/ItemsContacts";
import { Input } from "@nextui-org/react";
import useListContactStore from "@/feature/messenger/store/useListContactStore";

export default function ContactsSection() {
    const leftSidebarState = ChatConfigContext(state => state.leftSidebar);
    const showLeftSidebar = leftSidebarState === "contacts" ? 'flex' : 'hidden'; 
    const searchContacts = useListContactStore(state => state.searchContacts);
    return (
        <div className={`${showLeftSidebar} relative flex-col w-full min-w-96 md:w-1/4 lg:h-auto lg:flex-shrink-0 h-screen border-r-1 border-gray-100 z-10 section-content-sidebar`}>
            <header className="flex justify-between items-center p-5">
                <div>
                    <h1 className="text-2xl font-bold">Contactos</h1>
                </div>
                <div>
                    <CloseSection leftSidebarProp={LeftSidebarType.CHAT} />
                </div>
            </header>
            {/* Search */}
            <div className="p-5">
                <Input
                    isClearable
                    radius="sm"
                    placeholder="Buscar contacto"
                    variant="bordered"
                    onChange={(e) => searchContacts(e.target.value)}
                    onClear={() => searchContacts('')}
                />
            </div>
            {/* Sidebar content */}
            <div className="p-5 h-full">
                <ItemsContacts />
            </div>
            <div className="absolute top-0 left-0 w-full h-16 bg-white rounded-tl-[2rem] -z-10"></div>
        </div>
    )
}